using System;
using System.Collections.Generic;
using System.Text;
using DxLibDLL;


namespace HH
{
    class  EnemySpiralDiverder : Enemy
    {



        public EnemySpiralDiverder()
        {
            this.type = Type.EnemySample;

            this.position.x = 120;
            this.position.y = 1;

            this.life = 10;
            this.speed = 0.1;

            this.velocity = new Vector(0.2, 0.1);

            this.graphicsHandle = DX.LoadGraph("EnemySpiralDiverder.png");
            this.scriptfile = "AttackSequenceSpiralDiverder.txt";

            this.hitboxDiff = new Box(new Vector(-15, -15), new Vector(15, 15));

            this.atk = new AttackSequence(this, Program.game.p1);
        
        }

        public override void update()
        {
            base.update();

            atk.action();
        }

        
    }
}
